Bug 59929 - ls -l misformatted for modified date.
Summary: ls -l misformatted for modified date.
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: fileutils   
(Show other bugs)
Version: 7.2
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-15 02:31 UTC by Need Real Name
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-15 02:31:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-02-15 02:31:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)

Description of problem:
When I use a particular option to the 'ls' command, I do not get the proper 
output as expected. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. ls -l 

	

Actual Results:  -rw-------    1 root     root        69632 Dec 26 17:33 core
-rwxrwxr-x    1 root     root        20072 Dec 10 20:44 proc
-rwxrwxr-x    1 root     root        19411 Dec 10 23:42 proc2
-rw-r-----    1 root     root         5158 Nov 30 16:38 users.txt
-rw-r-----    1 root     root         4929 Dec  1 12:13 usermap.back-1.2


Expected Results:  -rw-------    1 root     root        69632 Dec 26 17:33 core
-rwxrwxr-x    1 root     root        20072 Dec 10 2001 proc
-rwxrwxr-x    1 root     root        19411 Dec 10 2001 proc2
-rw-r-----    1 root     root         5158 Nov 30 2001 users.txt
-rw-r-----    1 root     root         4929 Dec  1 2001 usermap.back-1.2


Additional info:

Comment 1 Bernhard Rosenkraenzer 2002-02-15 09:07:55 UTC
This is the expected and intentional behavior. 
 
ls -l shows the month, day and time on files younger than 6 months, month, day and year on 
older files. 



Note You need to log in before you can comment on or make changes to this bug.